Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83266 - Mouse turns into dot when closing gnome-terminal
Summary: Mouse turns into dot when closing gnome-terminal
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-01 04:49 UTC by Elliot Peele
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-11 10:17:41 UTC


Attachments (Terms of Use)
xfree86 config (deleted)
2003-02-06 01:41 UTC, Elliot Peele
no flags Details
xfree86 log (deleted)
2003-02-06 01:42 UTC, Elliot Peele
no flags Details

Description Elliot Peele 2003-02-01 04:49:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:
The cursor changed into a small white dot when you close a gnome-terminal using
ctrl-D while the cursor is on the window. The cursor goes back to being an arrow
if you move the cursor to another window.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. open gnome-terminal
2. place mouse over terminal
3. close terminal with ctrl-d
4. move cursor to another window
    

Actual Results:  cursor turns into dot

Expected Results:  cursor should remain an arrow

Additional info:

I am running phoebe + updates on a Dell Latitude 810C and this is with the
touchpad. I haven't tried to reproduce it with an external mouse yet.

Comment 1 Mike A. Harris 2003-02-06 01:10:07 UTC
Please attach X server log and config file as file attachments, type
text/plain below from with the server having this problem.

Comment 2 Elliot Peele 2003-02-06 01:41:44 UTC
Created attachment 89877 [details]
xfree86 config

Comment 3 Elliot Peele 2003-02-06 01:42:30 UTC
Created attachment 89878 [details]
xfree86 log

Comment 4 Elliot Peele 2003-02-06 01:46:24 UTC
I've noticed that this doesn't happen until after I've had a terminal open for
awhile and have been doing other things. If I login and then try to reproduce it
I can't. 

Comment 5 Mike A. Harris 2003-04-11 10:17:41 UTC
This was fixed quite a while ago by upstream, and should work fine in
Red Hat Linux 9 official release.  I must have missed closing this bug.

Closing as CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.